﻿@model IEnumerable<eCommerce.Services.Model.Order> 
@using eCommerce.Services.Model.Enums 

<table class="table table-hover dataTable table-striped width-full">
        <thead>
            <tr>
                <th class="col-sm-1">#ID</th>
                <th class="col-sm-2">Cliente</th>
                <th class="col-sm-2">Fecha</th>
                <th class="col-sm-2 text-center">Estado de Entrega</th>
                <th class="col-sm-1 text-center">Ver detalle</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(modelItem => item.OrderId)</td>
                    <td>@Html.DisplayFor(modelItem => item.Customer.FullName)</td>
                    <td>@Html.DisplayFor(modelItem => item.Created)</td>
                    <td class="text-center">
                        @switch (((DeliveryStatusEnum)item.DeliveryStatusId))
                        {
                            case DeliveryStatusEnum.Entregado:
                                <span class="label label-outline label-success">ENTREGADO</span>
                                break;
                            case DeliveryStatusEnum.EntregaParcial:
                                <span class="label label-outline label-warning">ENTREGA PARCIAL</span>
                                break;
                            case DeliveryStatusEnum.Preparado:
                                <span class="label label-outline label-dark">PREPARADO</span>
                                break;
                            case DeliveryStatusEnum.Pendiente:
                                <span class="label label-outline label-danger">A ENTREGAR</span>
                                break;
                        } 

                    </td>
                    <td class="actions text-center vertical-align">
                        <a target="_blank" href="/Orders/OrderUpdate/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row" data-toggle="tooltip" data-original-title="Ir"><i class="icon fa-search" aria-hidden="true"></i></a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
